## AgsXmlPasswordStore

AgsXmlPasswordStore — password store by XML file

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_XML_PASSWORD_STORE_GET_OBJ_MUTEX()
void | ags_xml_password_store_open_filename ()
xmlNode * | ags_xml_password_store_find_login ()
AgsXmlPasswordStore * | ags_xml_password_store_new ()

## Object Hierarchy

        GObject
        ╰── AgsXmlPasswordStore

## Includes

    #include <ags/server/security/ags_xml_password_store.h>

## Description

The AgsXmlPasswordStore is an object to keep passwords.

## Functions

### AGS_XML_PASSWORD_STORE_GET_OBJ_MUTEX()

    #define AGS_XML_PASSWORD_STORE_GET_OBJ_MUTEX(obj) (&(((AgsXmlPasswordStore *) obj)->obj_mutex))

### ags_xml_password_store_open_filename ()

    void
    ags_xml_password_store_open_filename (AgsXmlPasswordStore *xml_password_store,
                                          gchar *filename);

Open `filename` .

#### Parameters

xml_password_store | the AgsXmlPasswordStore |
filename | the filename |

Since: 3.0.0

### ags_xml_password_store_find_login ()

    xmlNode *
    ags_xml_password_store_find_login (AgsXmlPasswordStore *xml_password_store,
                                       gchar *login);

Find ags-srv-user xmlNode containing `login` .

#### Parameters

xml_password_store | the AgsXmlPasswordStore |
login | the login |

#### Returns

the matching xmlNode or `NULL`.

[transfer none]

Since: 3.0.0

### ags_xml_password_store_new ()

    AgsXmlPasswordStore *
    ags_xml_password_store_new ();

Create AgsXmlPasswordStore.

#### Returns

the new AgsXmlPasswordStore instance

Since: 3.0.0